Composer legend fails to draw polygons outline patterns if dashed

2009-12-28 05:18 PM - John Tull

Status: Closed

Priority: Low

Assignee: nobody -

Category:

Affected QGIS version: Regression?: No

Operating System: OS X Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme

Crashes QGIS or corrupts data: Copied to github as #: 12391

Description

In the composer, polygons with an outline pattern other than a solid line (i.e., any dashed patterns) are not drawn in the legend.

History

#1 - 2010-01-02 07:33 AM - Marco Hugentobler

Hm, it seems to work for me with dashed polygon outlines (see attachment)

#2 - 2010-01-02 09:10 AM - Giovanni Manghi

works also for me under Ubuntu linux.

#3 - 2010-01-02 05:29 PM - John Tull

- Resolution set to worksforme

- Status changed from Open to Closed

Well, it's working for me now as well. The only thing I've done is to remove the masking of the render in qgsoptions.cpp, these lines:

// #ifdef Q_WS_MAC //MH: disable incremental update on Mac for now to avoid problems with resizing

//  groupBox_5->setEnabled( false );

// #endif //Q_WS_MAC

I don't know if that would be affecting this. I doubt it, anyway.
